Mailinglist Archive: opensuse-updates (71 mails)

< Previous Next >
openSUSE-SU-2015:1215-1: moderate: Security update for wireshark
openSUSE Security Update: Security update for wireshark
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:1215-1
Rating: moderate
References: #935157 #935158
Cross-References: CVE-2015-4651 CVE-2015-4652
Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

Wireshark was updated to 1.12.6 to fix two security issues.

The following vulnerabilities were fixed:

- CVE-2015-4651: The WCCP dissector crashed when reading specially crafted
packages from the network or a capture files (wnpa-sec-2015-19,
boo#935157).
- CVE-2015-4652: The GSM DTAP dissector crashed when reading specially
crafted packages from the network or a capture file (wnpa-sec-2015-20,
boo#935158).

This update also contains further bug fixes and updated protocol support
as listed in: https://www.wireshark.org/docs/relnotes/wireshark-1.12.6.html


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-478=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

wireshark-1.12.6-18.1
wireshark-debuginfo-1.12.6-18.1
wireshark-debugsource-1.12.6-18.1
wireshark-devel-1.12.6-18.1
wireshark-ui-gtk-1.12.6-18.1
wireshark-ui-gtk-debuginfo-1.12.6-18.1
wireshark-ui-qt-1.12.6-18.1
wireshark-ui-qt-debuginfo-1.12.6-18.1


References:

https://www.suse.com/security/cve/CVE-2015-4651.html
https://www.suse.com/security/cve/CVE-2015-4652.html
https://bugzilla.suse.com/935157
https://bugzilla.suse.com/935158


< Previous Next >
This Thread
  • No further messages